Bug 1313139 - [RFE] User should be able to see subnet default boot setting and choose to override during build steps of individual hosts.
[RFE] User should be able to see subnet default boot setting and choose to ov...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.7
All Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 22:44 EST by madams
Modified: 2017-03-01 02:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description madams 2016-02-29 22:44:57 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:41.0) Gecko/20100101 Firefox/41.0
Build Identifier: 

When defining subnets users select the default boot method utilized for interfaces on the subnet. When provisioning a host the subnet can be selected and an IP address box is presented, regardless of Static or DHCP settings.

If the IP box is left blank and and static has been selected, the rendered network option will use static for bootproto and and the result is an empty '--ip= '.

If box is filled with an IP address, but the subnet is set to DHCP then the interface is still set to DHCP. It is unclear to the user what the IP field will be used for (attempting to create a static host entry in DHCP), since the result is still DHCP.

Some environments may choose to override the default setting of static or DHCP for specific hosts, while still being on the same subnet.

Reproducible: Always

Steps to Reproduce:
1.Define Subnet to be Static or DHCP
2.Define host and try to set static IP or leave field blank
3.Don't allow Satellite to manage DHCP.


Expected Results:  
1) Provided a clear dialog that stated if the subnet was defined as DHCP or Static
2) Provided an option to change the setting for the host from Static to DHCP and vice versa
3) Clearly indicated that if the subnet was defined as DHCP and an IP address is provided it will be used to _try_ and create a static DHCP entry.

It is possible to work around with parameters and modified templates, but this is probably more work then necessary and not intuitive to the user.
Comment 1 Bryan Kearney 2016-07-26 15:03:04 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.